--insert Doc_Object_Types
INSERT INTO Doc_Object_Types(Doc_OT_ID, Name) VALUES (1, 'Text')
INSERT INTO Doc_Object_Types(Doc_OT_ID, Name) VALUES (2, 'Date')
INSERT INTO Doc_Object_Types(Doc_OT_ID, Name) VALUES (3, 'Number')
INSERT INTO Doc_Object_Types(Doc_OT_ID, Name) VALUES (4, 'Member')
INSERT INTO Doc_Object_Types(Doc_OT_ID, Name) VALUES (5, 'Selections')
INSERT INTO Doc_Object_Types(Doc_OT_ID, Name) VALUES (6, 'File ID')


exec usp_i_domain
'Training',
'C',
'1',
'1',
'EDMSID',
null,
null,
null,
'Systems',
'Members'

declare @doc_resource_id as varchar(100)
declare @iv_roleId as varchar(100)
declare @user_id as varchar(100)
declare @domain_id as varchar(100)
declare @role_id as varchar(100)

SELECT @domain_id = Domain_ID
FROM System_Domain
WHERE Domain_Default = 1

exec usp_i_doc_user_reg
'system',
'2236ac3c9349df86702f6fa86c5b986b',
'system',
'System',
'Admin',
'admin@localhost',
'Company Name',
'Admin',
'Your Address',
'Post Code',
'CA',
'B',
'Phone Number',
'Fax Number',
null,
null,
'G',
null,
null,
null,
null,
'EN',
@domain_id,
null,
null,
null,
null,
null,
null,
1,
'A',
@user_id

UPDATE Users
SET Active = '1', User_Type = 'A'
WHERE User_Login = 'system' 
and Active >= 0

--Update Doc_Resources
update Doc_Resources set Create_User_ID=(select User_ID from Users where User_Login='system' and User_Type='A')



INSERT INTO System_Operations (Operation_Type) VALUES ('GROUP_MANAGEMENT')
INSERT INTO System_Operations (Operation_Type) VALUES ('METADATA_MANAGEMENT')
INSERT INTO System_Operations (Operation_Type) VALUES ('OPERATION_MANAGEMENT')
INSERT INTO System_Operations (Operation_Type) VALUES ('REPORT_OPERATION')
INSERT INTO System_Operations (Operation_Type) VALUES ('RETENTION_MANAGEMENT')
INSERT INTO System_Operations (Operation_Type) VALUES ('USER_MANAGEMENT')
INSERT INTO System_Operations (Operation_Type) VALUES ('WORKFLOW_MANAGEMENT')
INSERT INTO System_Operations (Operation_Type) VALUES ('DOMAIN_MANAGEMENT')
INSERT INTO System_Operations (Operation_Type) VALUES ('DELIGATE_OPERATION')
INSERT INTO System_Operations (Operation_Type) VALUES ('CREATE_FILE_TEMPLATE')
INSERT INTO System_Operations (Operation_Type) VALUES ('OEEXPLORER_MANAGEMENT')
INSERT INTO System_Operations (Operation_Type) VALUES ('FAX_FILE')
INSERT INTO System_Operations (Operation_Type) VALUES ('VERSION_MANAGEMENT')
INSERT INTO System_Operations (Operation_Type) VALUES ('SELECT_GROUPS')
INSERT INTO System_Operations (Operation_Type) VALUES ('FIND_USERS')
INSERT INTO System_Operations (Operation_Type) VALUES ('CA_CERTIFICATE_MANAGEMENT')
INSERT INTO System_Operations (Operation_Type) VALUES ('DRIVEMAPPING_MANAGEMENT')
INSERT INTO System_Operations (Operation_Type) VALUES ('SYSTEM_THEME_MANAGER')
INSERT INTO System_Operations (Operation_Type) VALUES ('FILE_STATUS_SETTING')
INSERT INTO System_Operations (Operation_Type) VALUES ('SYSTEM_CONFIGURATION_MANAGER')
INSERT INTO System_Operations (Operation_Type) VALUES ('MESSAGE_MANAGEMENT')
INSERT INTO System_Operations (Operation_Type) VALUES ('OPENEDMS_DESKTOP_LOGIN')
INSERT INTO System_Operations (Operation_Type) VALUES ('SYSTEM_REPORT_MANAGEMENT')
INSERT INTO System_Operations (Operation_Type) VALUES ('PDF_WATERMARK_SETTING')
INSERT INTO System_Operations (Operation_Type) VALUES ('ARCHIVE_MANAGER')
INSERT INTO System_Operations (Operation_Type) VALUES ('LICENSE_MANAGER')
INSERT INTO System_Operations (Operation_Type) VALUES ('SHOW_PAGE_TEMPLATE')
INSERT INTO System_Operations (Operation_Type) VALUES ('SYSTEM_PRINTER_MANAGER')
INSERT INTO System_Operations (Operation_Type) VALUES ('SAVE_PRINTERS')
INSERT INTO System_Operations (Operation_Type) VALUES ('REPORT_USER')
INSERT INTO System_Operations (Operation_Type) VALUES ('REPORT_MANAGEMENT')
INSERT INTO System_Operations (Operation_Type) VALUES ('RENAME_WORKFLOW_RPOCESS')
INSERT INTO System_Operations (Operation_Type) VALUES ('SEARCH_E2VAULT_FILE')

INSERT INTO Doc_Membership
([Membership], [Description], [Quota], Ocr_Pages, Forum_Enabled, Forum_Num, Pub_Enabled, Pub_Sub_Enabled)
values
('G', 'Golden Membership -- $200.00 per month.', 10737418240, 2000, '1', 1, 1, 1)

INSERT INTO Doc_Membership
([Membership], [Description], [Quota], Ocr_Pages, Forum_Enabled, Forum_Num, Pub_Enabled, Pub_Sub_Enabled)
values
('P', 'Prime Membership -- $5.00 per month.', 209715200, 10, '1', 0, 0, 0)

INSERT INTO Doc_Membership
([Membership], [Description], [Quota], Ocr_Pages, Forum_Enabled, Forum_Num, Pub_Enabled, Pub_Sub_Enabled)
values
('R', 'Regular Membership - free for the first year, second year has the option to stop or move to Prime Membership.', 52428800, 0, '0', 0, 0, 0)

INSERT INTO Doc_Membership
([Membership], [Description], [Quota], Ocr_Pages, Forum_Enabled, Forum_Num, Pub_Enabled, Pub_Sub_Enabled)
values
('S', 'Silver Membership -- $50.00 per month.	2097152000', 2097152000, 100, '1', 1, 1, 0)

INSERT INTO WF_Action ([WF_Action_ID], [Action_Name], [Description]) values (-1, 'Submit', null)
INSERT INTO WF_Action ([WF_Action_ID], [Action_Name], [Description]) values (1, 'Review', null)
INSERT INTO WF_Action ([WF_Action_ID], [Action_Name], [Description]) values (2, 'Approve', null)

INSERT INTO WF_Notification_Policy ([NP_Type], [NP_Name]) values (1, 'Email')
INSERT INTO WF_Notification_Policy ([NP_Type], [NP_Name]) values (2, 'Message')
INSERT INTO WF_Notification_Policy ([NP_Type], [NP_Name]) values (3, 'Email and Message')


--create an admin group
select @role_id=newid()
INSERT INTO Roles (Role_ID, Role_Name, Role_Desc, Role_Default, Domain_ID) values (@role_id, 'Managers', 'Managers', null, @domain_id)

--insert admin to this group
INSERT INTO User_Role
(User_ID, Role_ID)
values
(@domain_id, @role_id)

--insert into Doc_ACL
exec usp_i_doc_acl_opt @role_id, 'G', 1, 'O'

--insert into Doc_View_Field
insert into Doc_View_Field values(1, 'Name')
insert into Doc_View_Field values(2, 'Type')
insert into Doc_View_Field values(3, 'User')
insert into Doc_View_Field values(4, 'Date')
insert into Doc_View_Field values(5, 'Title')
insert into Doc_View_Field values(6, 'Size')
insert into Doc_View_Field values(7, 'FileID')
insert into Doc_View_Field values(8, 'Version')
insert into Doc_View_Field values(9, 'Overview')
insert into Doc_View_Field values(10, 'Rating')
insert into Doc_View_Field values(11, 'WFStatus')
insert into Doc_View_Field values(12, 'ResourceID')


INSERT INTO [System_Theme]([Name], [Base_Color], [Color_Name], [isDefault])
VALUES ('default', '#FF6900', 'orange', 0)

INSERT INTO [System_Theme]([Name], [Base_Color], [Color_Name], [isDefault])
VALUES ('enterprise', '#04659A', 'blue', 1)

INSERT INTO [System_Theme]([Name], [Base_Color], [Color_Name], [isDefault])
VALUES ('black', '#000000', 'black', 0)

-- create system default view
declare @iv_id as bigint
SET @iv_id = 0 

INSERT INTO [Doc_User_View]([User_ID], [View_Default], [View_Name]) 
VALUES (null,1,'System Default View')
SET @iv_id = @@IDENTITY
print @iv_id

INSERT INTO [Doc_View_Detail]([View_ID], [Field_ID], [Field_Label], [Field_Order]) VALUES (@iv_id, 1, null, 1)
INSERT INTO [Doc_View_Detail]([View_ID], [Field_ID], [Field_Label], [Field_Order]) VALUES (@iv_id, 2, null, 2)
INSERT INTO [Doc_View_Detail]([View_ID], [Field_ID], [Field_Label], [Field_Order]) VALUES (@iv_id, 3, null, 3)
INSERT INTO [Doc_View_Detail]([View_ID], [Field_ID], [Field_Label], [Field_Order]) VALUES (@iv_id, 4, null, 4)
--end of creating of system default view

-- insert link types
INSERT INTO Doc_Link_Type(Link_Type_Id, Related_Type_Id, Description) VALUES (1, 1, 'Related')
INSERT INTO Doc_Link_Type(Link_Type_Id, Related_Type_Id, Description) VALUES (2, 3, 'Parent Document')
INSERT INTO Doc_Link_Type(Link_Type_Id, Related_Type_Id, Description) VALUES (3, 2, 'Child Document')
INSERT INTO Doc_Link_Type(Link_Type_Id, Related_Type_Id, Description) VALUES (4, 5, 'Derived From')
INSERT INTO Doc_Link_Type(Link_Type_Id, Related_Type_Id, Description) VALUES (5, 4, 'Derivation of this document')

INSERT INTO Doc_Event_Type VALUES ( 1, 1, 'READ', 'R');
INSERT INTO Doc_Event_Type VALUES ( 2, 2, 'COMMENTED', 'C');
INSERT INTO Doc_Event_Type VALUES ( 3, 4, 'UPDATED', 'U');
INSERT INTO Doc_Event_Type VALUES ( 4, 8, 'DELETED', 'D');
INSERT INTO Doc_Event_Type VALUES ( 5, 16, 'REVIEWED', 'V');
INSERT INTO Doc_Event_Type VALUES ( 6, 32, 'APPROVED', 'A');
INSERT INTO Doc_Event_Type VALUES ( 7, 64, 'REJECTED', 'J');

INSERT INTO System_Configuration VALUES ( 'Fax_FaxMode', 'FaxModemService,EFaxService');
INSERT INTO System_Configuration VALUES ( 'Fax_Port', 'COM3');
-- exec usp_i_doc_email_search @domain_id

INSERT INTO [File_Status]([Reserved_Name], [Display_Name], [System_Reserved]) VALUES('Draft', 'Draft', 1)
INSERT INTO [File_Status]([Reserved_Name], [Display_Name], [System_Reserved]) VALUES('Pending', 'Pending', 1)
INSERT INTO [File_Status]([Reserved_Name], [Display_Name], [System_Reserved]) VALUES('Approved', 'Approved', 1)
INSERT INTO [File_Status]([Reserved_Name], [Display_Name], [System_Reserved]) VALUES('Rejected', 'Rejected', 1)
INSERT INTO [File_Status]([Reserved_Name], [Display_Name], [System_Reserved]) VALUES('Distributed', 'Distributed', 1)
INSERT INTO [File_Status]([Reserved_Name], [Display_Name], [System_Reserved]) VALUES('Reserved', 'Reserved', 1)
DELETE [File_Status] WHERE [Reserved_Name]='Reserved'
INSERT INTO [File_Status]([Reserved_Name], [Display_Name], [System_Reserved]) VALUES('N/A', 'Invalid', 0)
INSERT INTO [File_Status]([Reserved_Name], [Display_Name], [System_Reserved]) VALUES('N/A', 'Received', 0)
INSERT INTO [File_Status]([Reserved_Name], [Display_Name], [System_Reserved]) VALUES('N/A', 'Reviewed', 0)
INSERT INTO [File_Status]([Reserved_Name], [Display_Name], [System_Reserved]) VALUES('N/A', 'Complete', 0)
INSERT INTO [File_Status]([Reserved_Name], [Display_Name], [System_Reserved]) VALUES('N/A', 'Other', 0)

INSERT INTO [System_Panel_Settings]([Panel_Name], [Template_Name], [Default_Value]) VALUES('File Browser Tree View', 'FILE_MANAGE_REQUEST&subaction=TREE_BROWSER', 0)
INSERT INTO [System_Panel_Settings]([Panel_Name], [Template_Name], [Default_Value]) VALUES('File Browser Flat View', 'FILE_MANAGE_REQUEST&subaction=BROWSER', 1)
INSERT INTO [System_Panel_Settings]([Panel_Name], [Template_Name], [Default_Value]) VALUES('Workflow Manager', 'WORKFLOW_TASK_REQUEST&subaction=WORKFLOW_TASK_SUMMARY', 0)
INSERT INTO [System_Panel_Settings]([Panel_Name], [Template_Name], [Default_Value]) VALUES('Favorites', 'FAVORITE_REQUEST&subaction=SHOW_FAVORITE', 0)
INSERT INTO [System_Panel_Settings]([Panel_Name], [Template_Name], [Default_Value]) VALUES('Administrative Tools', 'ADMIN_REQUEST&subaction=TOOL_MANAGER', 0)
INSERT INTO [System_Panel_Settings]([Panel_Name], [Template_Name], [Default_Value]) VALUES('News Board', 'BULLETIN_REQUEST', 0)
INSERT INTO [System_Panel_Settings]([Panel_Name], [Template_Name], [Default_Value]) VALUES('Signature Log', 'CERTIFICATE_REQUEST&subaction=SHOW_SIGNED_DOCUMENT', 0)
INSERT INTO [System_Panel_Settings]([Panel_Name], [Template_Name], [Default_Value]) VALUES('Search - Simple', 'FILE_SEARCH_REQUEST&subaction=SIMPLE_SEARCH', 0)
INSERT INTO [System_Panel_Settings]([Panel_Name], [Template_Name], [Default_Value]) VALUES('Search - Advanced', 'FILE_SEARCH_REQUEST&subaction=SHOW_ADVANCED_SEARCH', 0)
INSERT INTO [System_Panel_Settings]([Panel_Name], [Template_Name], [Default_Value]) VALUES('Mail Box', 'MESSAGES_REQUEST&subaction=SHOW_MESSAGE', 0)
INSERT INTO [System_Panel_Settings]([Panel_Name], [Template_Name], [Default_Value]) VALUES('User Profile', 'USER_PROFILE_REQUEST&subaction=SHOW_USER_PROFILE', 0)
INSERT INTO [System_Panel_Settings]([Panel_Name], [Template_Name], [Default_Value]) VALUES('Calendar', 'CALENDAR_REQUEST', 0)
INSERT INTO [System_Panel_Settings]([Panel_Name], [Template_Name], [Default_Value]) VALUES('File Watch List', 'FILE_MANAGE_REQUEST&subaction=SHOW_NEW_FILE', 0)


